com.sun.grid.jgdi.monitoring

## Class QHostResultImpl

- java.lang.Object
- - com.sun.grid.jgdi.monitoring.QHostResultImpl

- All Implemented Interfaces:
    QHostResult, java.io.Serializable

      public class QHostResultImpl
      extends java.lang.Object
      implements QHostResult, java.io.Serializable

  Default Implemenation of the `QHostResult` interface.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QHostResultImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHostInfo(HostInfo hostInfo)`
    `HostInfo` | `createHostInfo(java.lang.String hostname)`
    `java.util.List<HostInfo>` | `getHostInfo()` Get a list of all available host info objects
    `HostInfo` | `getHostInfo(java.lang.String hostname)` Get the host info for a host
    `java.util.Set<java.lang.String>` | `getHostNames()` Get a set of all hostnames

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QHostResultImpl

          public QHostResultImpl()

  - ### Method Detail

    - #### getHostNames

          public java.util.Set<java.lang.String> getHostNames()

      Description copied from interface: `QHostResult`
      Get a set of all hostnames
      Specified by:
        `getHostNames` in interface `QHostResult`
      Returns:
        set of hostnames

    - #### createHostInfo

          public HostInfo createHostInfo(java.lang.String hostname)

    - #### addHostInfo

          public void addHostInfo(HostInfo hostInfo)

    - #### getHostInfo

          public HostInfo getHostInfo(java.lang.String hostname)

      Description copied from interface: `QHostResult`
      Get the host info for a host
      Specified by:
        `getHostInfo` in interface `QHostResult`
      Parameters:
        `hostname` - name of the host
      Returns:
        the host info

    - #### getHostInfo

          public java.util.List<HostInfo> getHostInfo()

      Description copied from interface: `QHostResult`
      Get a list of all available host info objects
      Specified by:
        `getHostInfo` in interface `QHostResult`
      Returns:
        list of all available host info objects

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.